package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ApiApischemeListRequest struct {
	// 绑定的集成方案ID
	BindSchemeId *int64 `json:"bindSchemeId,omitempty"`
	// 是否是默认方案
	DefaultScheme *bool `json:"defaultScheme,omitempty"`
	// 接口url
	Path string `json:"path,omitempty"`
	// 是否标准方案
	StandardScheme *bool `json:"standardScheme,omitempty"`
	// 分组，对应页面上的「集成能力」
	SchemeGroup string `json:"schemeGroup,omitempty"`
}

func (obj ApiApischemeListRequest) GetUrl() string {
	return "/api/apischeme/list"
}

func (obj ApiApischemeListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("bindSchemeId", obj.BindSchemeId)
	parameter.AddParam("defaultScheme", obj.DefaultScheme)
	parameter.AddParam("path", obj.Path)
	parameter.AddParam("standardScheme", obj.StandardScheme)
	parameter.AddParam("schemeGroup", obj.SchemeGroup)
	return parameter
}
